Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Altera_Forum
Honored Contributor I
1,143 Views

Fails trying to install Quartus prime on ARCH LINUX

Cannot install either thru AUR or from .tar -file provided on webpage.  

 

Error messages: https://imgur.com/a/sxuwp 

 

 

I'm new to this board and if the thread is misplaced, I would appriciate if a moderator could move it! 

 

 

Thanks 

Sixtenson
0 Kudos
5 Replies
Altera_Forum
Honored Contributor I
153 Views

Hi ... could you give exact details of the Arch system? Regards, Jonathan.

Altera_Forum
Honored Contributor I
153 Views

All linux versions are not created equal. If you want to run Quartus on linux, best to choose one of the supported versions as listed on the Quartus web page.

Altera_Forum
Honored Contributor I
153 Views

 

--- Quote Start ---  

Hi ... could you give exact details of the Arch system? Regards, Jonathan. 

--- Quote End ---  

 

 

 

Of course! 

 

OS: Arch Linux 

Kernel: x86_64 Linux 4.15.2-1-ARCH 

Shell: bash 4.4.19 

DE: GNOME 

CPU: Intel Core i7-7500U @ 4x 3.5GHz  

GPU: intel 

 

 

I have tried downloading from Alteras webpage, but I get an error message about a conflicting lib file right at the end, so I can't start the program... 

 

 

Best regards  

Sixtenson
Altera_Forum
Honored Contributor I
153 Views

Hi ... 

 

Having done quite a lot of Quartus command line installation on Ubuntu (and a little on Red Hat) I thought I'd try on Arch. It appears to get itself into some sort of loop and won't complete. As others have said, I'd recommend trying one of the supported Linux platforms. 

 

Sorry nothing more positive to report! 

 

Regards, 

Jonathan. 

 

Uname says 

Linux archlinux 4.14.15-1-ARCH# 1 SMP PREEMPT Tue Jan 23 21:49:25 UTC 2018 x86_64 GNU/Linux 

Installation command was  

./tmp.installquartus.sh/unpack.16.1.0.196/components/QuartusLiteSetup-16.1.0.196-linux.run --mode unattended --unattendedmodeui none --installdir /home/archlinux/altera/
Altera_Forum
Honored Contributor I
153 Views

 

--- Quote Start ---  

All linux versions are not created equal. If you want to run Quartus on linux, best to choose one of the supported versions as listed on the Quartus web page. 

--- Quote End ---  

 

 

Thanks for the reply, but I cant get any version to work, sadly. 

 

 

--- Quote Start ---  

Sorry nothing more positive to report! 

--- Quote End ---  

 

 

Thanks for trying!
Reply